Subject: Re: Staging: cpc-usb CAN driver TODO list

From: Wolfgang Grandegger <[email-masked]>
Date: Mon, 07 Sep 2009 09:05:42 +0200

Hi Sebastian,

On 09/07/2009 07:56 AM, Sebastian Haas wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> Oliver,
>
> I'm not yet sure how to actually start the development. There is so much
> to do, and I've not much time to spend on this, unfortunately. Because
> of this I can't rewrite the whole driver on my own in order to get a
> Socket-CAN driver but I can provide support, review patches, rent
> devices and make tests here.
>
> Oliver, you are not familiar with USB and I'm not very familiar with CAN
> netdev internals, why not combining these twos. You are writing the CAN
> part and write the USB part.
>
> I'll also write a specification which contains any information you need
> to develop a CAN driver for the device (commands, sequences, error
> handling).

Alternatively, EMS Wuensche could also hire an expert doing the job ;-). 
Note that we do a lot of Socket-CAN work in our free time, which is a 
limited resource. Progress depends on funding to a certain extend.

Wolfgang.